# Uses of Interface
io.dapr.v1.DaprProtos.TransactionalStateOperationOrBuilder

Packages that use DaprProtos.TransactionalStateOperationOrBuilder
Package
Description
io.dapr.v1

## Uses of DaprProtos.TransactionalStateOperationOrBuilder in io.dapr.v1

Classes in io.dapr.v1 that implement DaprProtos.TransactionalStateOperationOrBuilder
Modifier and Type
Class
Description
`static final class`
`DaprProtos.TransactionalStateOperation`
TransactionalStateOperation is the message to execute a specified operation with a key-value pair.
`static final class`
`DaprProtos.TransactionalStateOperation.Builder`
TransactionalStateOperation is the message to execute a specified operation with a key-value pair.
Methods in io.dapr.v1 that return DaprProtos.TransactionalStateOperationOrBuilder
Modifier and Type
Method
Description
`DaprProtos.TransactionalStateOperationOrBuilder`
DaprProtos.ExecuteStateTransactionRequest.Builder.`getOperationsOrBuilder(int index)`
Required.
`DaprProtos.TransactionalStateOperationOrBuilder`
DaprProtos.ExecuteStateTransactionRequest.`getOperationsOrBuilder(int index)`
Required.
`DaprProtos.TransactionalStateOperationOrBuilder`
DaprProtos.ExecuteStateTransactionRequestOrBuilder.`getOperationsOrBuilder(int index)`
Required.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.TransactionalStateOperationOrBuilder
Modifier and Type
Method
Description
`List<? extends DaprProtos.TransactionalStateOperationOrBuilder>`
DaprProtos.ExecuteStateTransactionRequest.Builder.`getOperationsOrBuilderList()`
Required.
`List<? extends DaprProtos.TransactionalStateOperationOrBuilder>`
DaprProtos.ExecuteStateTransactionRequest.`getOperationsOrBuilderList()`
Required.
`List<? extends DaprProtos.TransactionalStateOperationOrBuilder>`
DaprProtos.ExecuteStateTransactionRequestOrBuilder.`getOperationsOrBuilderList()`
Required.